package com.yuchen.saas.park.service.service.property;


import com.baomidou.mybatisplus.extension.service.IService;
import com.yuchen.saas.park.api.entity.property.PropertyPayReductionHouse;

import java.util.List;

/**
 * <p>
 * 减免活动-缴费减免-范围 服务类
 * </p>
 *
 * @author cxj
 * @since 2023-12-22
 */
public interface IPropertyPayReductionHouseService extends IService<PropertyPayReductionHouse> {

    List<PropertyPayReductionHouse> listByQuery(Long buildingId, Long houseId);

    Integer countByPayReductionId(Long payReductionId);

    Boolean removeByPayReductionId(Long payReductionId);

    List<PropertyPayReductionHouse>listByPayReductionId(Long payReductionId);


    List<PropertyPayReductionHouse> listByHouseId(Long houseId);
}
